mav_navigationKeyboardDefaultParams(3)

NAME
mav_navigationKeyboardDefaultParams - Provides control of the default implementation of keyboard navigation

LEVEL
Maverik Level 1

SYNTAX
void mav_navigationKeyboardDefaultParams(MAV_window *w, float am, float ls, float as);

DESCRIPTION
This function defines the linear and angular scaling factors (ls and as) used by the default keyboard navigation. The value am can be thought of as the amount of movement a key gives (this value is multiplied by the appropriate scaling factor to give the true movement). Setting am to 50 (its default value) makes a navigation function invoked by the keyboard equivalent to it being invoked by 50 pixels of mouse movement.